Home
last modified time | relevance | path

Searched refs:REQUIRED (Results 1 – 25 of 319) sorted by relevance

12345678910>>...13

/third_party/protobuf/conformance/
Dtext_format_conformance_suite.cc205 RunValidTextFormatTest("HelloWorld", REQUIRED, in RunSuiteImpl()
208 RunValidTextFormatTest("Int32FieldMaxValue", REQUIRED, in RunSuiteImpl()
210 RunValidTextFormatTest("Int32FieldMinValue", REQUIRED, in RunSuiteImpl()
212 RunValidTextFormatTest("Uint32FieldMaxValue", REQUIRED, in RunSuiteImpl()
214 RunValidTextFormatTest("Int64FieldMaxValue", REQUIRED, in RunSuiteImpl()
216 RunValidTextFormatTest("Int64FieldMinValue", REQUIRED, in RunSuiteImpl()
218 RunValidTextFormatTest("Uint64FieldMaxValue", REQUIRED, in RunSuiteImpl()
222 ExpectParseFailure("Int32FieldTooLarge", REQUIRED, in RunSuiteImpl()
224 ExpectParseFailure("Int32FieldTooSmall", REQUIRED, in RunSuiteImpl()
226 ExpectParseFailure("Uint32FieldTooLarge", REQUIRED, in RunSuiteImpl()
[all …]
Dbinary_json_conformance_suite.cc681 "PrematureEofBeforeKnownNonRepeatedValue" + type_name, REQUIRED); in TestPrematureEOFForType()
685 "PrematureEofBeforeKnownRepeatedValue" + type_name, REQUIRED); in TestPrematureEOFForType()
689 "PrematureEofBeforeUnknownValue" + type_name, REQUIRED); in TestPrematureEOFForType()
693 "PrematureEofInsideKnownNonRepeatedValue" + type_name, REQUIRED); in TestPrematureEOFForType()
697 "PrematureEofInsideKnownRepeatedValue" + type_name, REQUIRED); in TestPrematureEOFForType()
701 "PrematureEofInsideUnknownValue" + type_name, REQUIRED); in TestPrematureEOFForType()
707 REQUIRED); in TestPrematureEOFForType()
712 REQUIRED); in TestPrematureEOFForType()
717 "PrematureEofInDelimitedDataForUnknownValue" + type_name, REQUIRED); in TestPrematureEOFForType()
728 "PrematureEofInSubmessageValue" + type_name, REQUIRED); in TestPrematureEOFForType()
[all …]
/third_party/gstreamer/gstplugins_good/tests/examples/qt/qmlsink/
DCMakeLists.txt9 pkg_check_modules(GSTREAMER gstreamer-1.0>=1.6 gstreamer-video-1.0>=1.6 REQUIRED)
11 find_package(Qt5Core REQUIRED)
12 find_package(Qt5Widgets REQUIRED)
13 find_package(Qt5Qml REQUIRED)
14 find_package(Qt5Quick REQUIRED)
/third_party/mesa3d/docs/_extra/specs/
DEGL_MESA_query_driver.txt48 <!ATTLIST description lang CDATA #REQUIRED
49 text CDATA #REQUIRED>
51 <!ATTLIST option name CDATA #REQUIRED
52 type (bool|enum|int|float) #REQUIRED
53 default CDATA #REQUIRED
56 <!ATTLIST enum value CDATA #REQUIRED
57 text CDATA #REQUIRED>
/third_party/EGL/extensions/MESA/
DEGL_MESA_query_driver.txt48 <!ATTLIST description lang CDATA #REQUIRED
49 text CDATA #REQUIRED>
51 <!ATTLIST option name CDATA #REQUIRED
52 type (bool|enum|int|float) #REQUIRED
53 default CDATA #REQUIRED
56 <!ATTLIST enum value CDATA #REQUIRED
57 text CDATA #REQUIRED>
/third_party/ltp/tools/sparse/sparse-src/
Dparse.dtd5 …array|struct|union|enum|typedef|typeof|member|bitfield|label|restrict|fouled|keyword|bad) #REQUIRED
6 id ID #REQUIRED
7 file CDATA #REQUIRED
8 start-line CDATA #REQUIRED
9 start-col CDATA #REQUIRED
/third_party/benchmark/cmake/
Dllvm-toolchain.cmake1 find_package(LLVMAr REQUIRED)
4 find_package(LLVMNm REQUIRED)
7 find_package(LLVMRanLib REQUIRED)
/third_party/skia/third_party/externals/brotli/
Dbootstrap7 REQUIRED='is required, but not installed.'
8 bc -v >/dev/null 2>&1 || { echo >&2 "'bc' $REQUIRED"; exit 1; }
10 sed --version >/dev/null 2>&1 || { echo >&2 "'sed' $REQUIRED"; exit 1; }
12 autoreconf --version >/dev/null 2>&1 || { echo >&2 "'autoconf' $REQUIRED"; exit 1; }
/third_party/mesa3d/src/mapi/glapi/gen/
Dgl_API.dtd14 href CDATA #REQUIRED
22 <!ATTLIST category name NMTOKEN #REQUIRED
25 <!ATTLIST type name NMTOKEN #REQUIRED
26 size NMTOKEN #REQUIRED
31 <!ATTLIST enum name NMTOKEN #REQUIRED
33 value NMTOKEN #REQUIRED>
34 <!ATTLIST function name NMTOKEN #REQUIRED
47 <!ATTLIST size name NMTOKEN #REQUIRED
50 <!ATTLIST param name NMTOKEN #REQUIRED
51 type CDATA #REQUIRED
/third_party/glfw/
DCMakeLists.txt67 find_package(Threads REQUIRED)
212 find_package(X11 REQUIRED)
275 find_package(ECM REQUIRED NO_MODULE)
278 find_package(Wayland REQUIRED)
279 find_package(WaylandScanner REQUIRED)
280 find_package(WaylandProtocols 1.1 REQUIRED)
287 find_package(XKBCommon REQUIRED)
297 find_package(Mir REQUIRED)
303 find_package(XKBCommon REQUIRED)
/third_party/pcre2/pcre2/cmake/
DFindPackageHandleStandardArgs.cmake3 # It handles the REQUIRED and QUIET argument to FIND_PACKAGE() and
12 # If it is not found and REQUIRED was used, it fails with FATAL_ERROR,
24 SET(_FAIL_MESSAGE "Could not find REQUIRED package ${_NAME}")
/third_party/node/deps/npm/node_modules/@sigstore/protobuf-specs/dist/__generated__/google/api/
Dfield_behavior.js66 return FieldBehavior.REQUIRED;
90 case FieldBehavior.REQUIRED:
/third_party/skia/third_party/externals/oboe/samples/LiveEffect/src/main/cpp/
Dndk-stl-config.cmake5 # find_package(ndk-stl REQUIRED)
9 # find_package(ndk-stl REQUIRED PATHS ".")
/third_party/vk-gl-cts/framework/platform/
DCMakeLists.txt168 find_package(X11 REQUIRED)
171 find_package(XCB REQUIRED)
180 find_package(Wayland REQUIRED)
/third_party/rust/crates/clap/src/builder/
Darg_settings.rs53 const REQUIRED = 1; constant
78 Required => Flags::REQUIRED,
/third_party/libwebsockets/READMEs/
DREADME.cbor-cose.md133 /**< REQUIRED: the lws context */
135 /**< REQUIRED: one or more cose_keys */
211 /**< REQUIRED: the lws context */
213 /**< REQUIRED: one or more cose_keys */
216 /**< REQUIRED: the cbor output context to emit to, user must
227 /**< REQUIRED: size of the inline payload we will provide */
/third_party/skia/third_party/externals/swiftshader/third_party/llvm-10.0/llvm/lib/AsmParser/
DLLParser.cpp4416 #define VISIT_MD_FIELDS(OPTIONAL, REQUIRED) \ in ParseDILocation() argument
4419 REQUIRED(scope, MDField, (/* AllowNull */ false)); \ in ParseDILocation()
4434 #define VISIT_MD_FIELDS(OPTIONAL, REQUIRED) \ in ParseGenericDINode() argument
4435 REQUIRED(tag, DwarfTagField, ); \ in ParseGenericDINode()
4450 #define VISIT_MD_FIELDS(OPTIONAL, REQUIRED) \ in ParseDISubrange() argument
4451 REQUIRED(count, MDSignedOrMDField, (-1, -1, INT64_MAX, false)); \ in ParseDISubrange()
4471 #define VISIT_MD_FIELDS(OPTIONAL, REQUIRED) \ in ParseDIEnumerator() argument
4472 REQUIRED(name, MDStringField, ); \ in ParseDIEnumerator()
4473 REQUIRED(value, MDSignedOrUnsignedField, ); \ in ParseDIEnumerator()
4494 #define VISIT_MD_FIELDS(OPTIONAL, REQUIRED) \ in ParseDIBasicType() argument
[all …]
/third_party/protobuf/php/src/Google/Protobuf/Internal/
DGPBLabel.php38 const REQUIRED = 2; define in Google\\Protobuf\\Internal\\GPBLabel
/third_party/json/tests/cmake_import_minver/project/
DCMakeLists.txt5 find_package(nlohmann_json 3.2.0 REQUIRED)
/third_party/json/docs/mkdocs/docs/integration/vcpkg/
DCMakeLists.txt4 find_package(nlohmann_json CONFIG REQUIRED)
/third_party/nghttp2/cmake/
DFindLibevent.cmake10 # [REQUIRED] # Fail if Libevent is not found
78 # handle the QUIETLY and REQUIRED arguments and set LIBEVENT_FOUND to TRUE
/third_party/opencl-headers/tests/conan/
DCMakeLists.txt7 find_package(OpenCLHeaders REQUIRED)
/third_party/opencl-headers/tests/pkgconfig/bare/
DCMakeLists.txt8 REQUIRED
/third_party/json/tests/cmake_import/project/
DCMakeLists.txt5 find_package(nlohmann_json REQUIRED)
/third_party/opencl-headers/tests/pkgconfig/sdk/
DCMakeLists.txt8 REQUIRED

12345678910>>...13